/**
 * @export
 * @class Server
 */
export class Server {
    /**
     * Creates an instance of Server.
     *
     * @constructor
     * @param {{
        middlewares?: Array<express.RequestHandler>;
      }} param
     */
    constructor({ middlewares }?: {
        middlewares?: Array<express.RequestHandler>;
    });
    /**
     * Sets several routers
     *
     * @public
     * @param { Router[]} routers
     * @returns {this}
     */
    public setRouters(routers: Router[]): this;
    /**
     * Sets one router
     *
     * @public
     * @param {Router} router
     * @returns {this}
     */
    public setRouter(router: Router): this;
    /**
     * Starts the Server
     *
     * @public
     * @param {number} port
     */
    public start(port: number): void;
    #private;
}
import { Router } from "../Router/Router.mjs";
import express from "express";
