declare function _default(req: ExpressRequest, res: ExpressResponse, next: ExpressNextFunction): void;
export default _default;
export type ExpressRequest = import('express').Request;
export type ExpressResponse = import('express').Response;
export type ExpressNextFunction = import('express').NextFunction;
/**
 * Sends a 200 Http Response
 */
export type OkResponse = (data: any) => void;
/**
 * Sends a 400 Http Response
 */
export type UserErrorResponse = (message: any) => void;
/**
 * Sends a 500 Http Response
 */
export type ServerErrorResponse = (message: any) => void;
export type CustomResponse = {
    /**
     * - Send a 200 response
     */
    okResponse: OkResponse;
    /**
     * - Send a 400 response
     */
    userErrorResponse: UserErrorResponse;
    /**
     * - Send a 500 response
     */
    serverErrorResponse: ServerErrorResponse;
};
export type Response = ExpressResponse & CustomResponse;
